conv_sprite tool
[retrocrawl] / tools / conv_sprite
diff --git a/tools/conv_sprite b/tools/conv_sprite
new file mode 100755 (executable)
index 0000000..c05deb7
--- /dev/null
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+       echo "pass the sprite header file as argument"
+       exit 1
+fi
+
+cc -pedantic -Wall -DHDRFILE=\"$1\" -o /tmp/conv_sprite.bin conv_sprite.c
+if [ $? != 0 ]; then
+       exit 1
+fi
+
+/tmp/conv_sprite.bin